Subject: Re: [bug#35126] [PATCH] gnu: rust: Enable parallel tests starting with 1.26.

From: Ivan Petkov <[email-masked]>
Date: Thu, 4 Apr 2019 14:59:53 -0700

Hi Danny,

> On Apr 4, 2019, at 11:29 AM, Danny Milosavljevic <[email-masked]> wrote:
> 
> There have been problems with it in very old Rust builds which is why it was
> disabled in the first place.
> 
> Icecat uses Rust 1.24 - I selfishly don't want to change that one because I
> use it ;)

Can’t say that I fault you there, I really hate having to rebootstrap the entire rust chain ;)

> And I'm not sure when (in which version) they fixed the parallel tests (if
> they fixed them, that is).
> 
> So I'm kinda starting in the middle...

We can always try moving it up to earlier versions as necessary, so I’m fine with landing
this as long as all the later tests build fine!

—Ivan